org.eclipse.mat.ui.internal.panes

## Class QueryTextResultPane

- java.lang.Object
- - org.eclipse.mat.ui.editor.AbstractEditorPane
  - - org.eclipse.mat.ui.internal.panes.QueryTextResultPane

All Implemented Interfaces:
  EventListener, IAdaptable, ISelectionProvider, LocationListener, SWTEventListener, IEditorPart, ISaveablePart, IWorkbenchPart

    public class QueryTextResultPane
    extends AbstractEditorPane
    implements ISelectionProvider, LocationListener

### Field Summary

### Fields inherited from interface org.eclipse.ui.IEditorPart

`PROP_DIRTY, PROP_INPUT`

### Fields inherited from interface org.eclipse.ui.IWorkbenchPart

`PROP_TITLE`

### Constructor Summary

Constructors
Constructor and Description
`QueryTextResultPane()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addSelectionChangedListener(ISelectionChangedListener listener)`
`void` `changed(LocationEvent event)`
`void` `changing(LocationEvent event)`
`void` `contributeToToolBar(IToolBarManager manager)`
`void` `createPartControl(Composite parent)`
`void` `dispose()`
`ISelection` `getSelection()`
`String` `getTitle()`
`Image` `getTitleImage()`
`String` `getTitleToolTip()`
`void` `initWithArgument(Object argument)`
`void` `removeSelectionChangedListener(ISelectionChangedListener listener)`
`void` `setFocus()`
`void` `setSelection(ISelection selection)`

### Methods inherited from class org.eclipse.mat.ui.editor.AbstractEditorPane

`addPropertyListener, doSave, doSaveAs, getAdapter, getEditor, getEditorInput, getEditorSite, getPaneId, getPaneState, getParentPane, getQueryContext, getSite, init, isDirty, isSaveAsAllowed, isSaveOnCloseNeeded, removePropertyListener, setPaneState`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.swt.browser.LocationListener

`changedAdapter, changingAdapter`

### Constructor Detail

#### QueryTextResultPane

    public QueryTextResultPane()

### Method Detail

#### createPartControl

    public void createPartControl(Composite parent)

Specified by:
  `createPartControl` in interface `IWorkbenchPart`

#### initWithArgument

    public void initWithArgument(Object argument)

Overrides:
  `initWithArgument` in class `AbstractEditorPane`

#### contributeToToolBar

    public void contributeToToolBar(IToolBarManager manager)

Overrides:
  `contributeToToolBar` in class `AbstractEditorPane`

#### setFocus

    public void setFocus()

Specified by:
  `setFocus` in interface `IWorkbenchPart`
Overrides:
  `setFocus` in class `AbstractEditorPane`

#### getSelection

    public ISelection getSelection()

Specified by:
  `getSelection` in interface `ISelectionProvider`

#### changing

    public void changing(LocationEvent event)

Specified by:
  `changing` in interface `LocationListener`

#### changed

    public void changed(LocationEvent event)

Specified by:
  `changed` in interface `LocationListener`

#### getTitle

    public String getTitle()

Specified by:
  `getTitle` in interface `IWorkbenchPart`

#### getTitleImage

    public Image getTitleImage()

Specified by:
  `getTitleImage` in interface `IWorkbenchPart`
Overrides:
  `getTitleImage` in class `AbstractEditorPane`

#### getTitleToolTip

    public String getTitleToolTip()

Specified by:
  `getTitleToolTip` in interface `IWorkbenchPart`
Overrides:
  `getTitleToolTip` in class `AbstractEditorPane`

#### addSelectionChangedListener

    public void addSelectionChangedListener(ISelectionChangedListener listener)

Specified by:
  `addSelectionChangedListener` in interface `ISelectionProvider`

#### removeSelectionChangedListener

    public void removeSelectionChangedListener(ISelectionChangedListener listener)

Specified by:
  `removeSelectionChangedListener` in interface `ISelectionProvider`

#### setSelection

    public void setSelection(ISelection selection)

Specified by:
  `setSelection` in interface `ISelectionProvider`

#### dispose

    public void dispose()

Specified by:
  `dispose` in interface `IWorkbenchPart`
Overrides:
  `dispose` in class `AbstractEditorPane`